SystemOrganization addCategory: #'WebStone-Altitude'!

ALApplication subclass: #WSWebStoneApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSWebStoneApplication methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:11'!
initializeHandler
	handler := ALChunkingRelay destination: handler.
	handler := ALKeepAliveRelay destination: handler.
	handler := ALRequestDecodingRelay destination: handler.
	handler := ALLimitingRelay destination: handler! !

!WSWebStoneApplication methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:15'!
initializeLocator
	| latin1 |
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'ascii'))
		put: ((WSHtmlComponent new content: 'ascii'; yourself) asResource).
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'escape'))
		put: ((WSHtmlComponent new content: 'as<ii'; yourself) asResource).
	latin1 := String streamContents: [ :stream |
		#(228 115 99 105 105) do: [ :each |
			stream nextPut: (Character value: each) ] ].
	locator 
		at: (ALPath withAll: #('webstone' 'html' latin1))
		put: ((WSHtmlComponent new content: latin1; yourself) asResource).! !

Object subclass: #WSHtmlComponent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:08'!
asResource
	^ ALHtmlResource component: self! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:13'!
content: aString
	content := aString! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:10'!
renderContentOn: html
	10 timesRepeat: [
		html div: [
			10 timesRepeat: [
				html ul: [
					10 timesRepeat: [
						html li: content ] ] ] ] ]! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:10'!
renderOn: html
	html html: [
		html head: [ ].
		html body: [
			self renderContentOn: html ] ]! !

Object subclass: #WSJsonComponent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSJsonComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:11'!
asResource
	^ ALJsonResource component: self! !
